<?php

class DOCKEY_CLASS_EventHandler
{
	const SPOTLIGHT = 'http://spotlight.ewtnet.us/';
	
    /**
     * @var DOCKEY_CLASS_EventHandler
     */
    private static $classInstance;

    /**
     * @return DOCKEY_CLASS_EventHandler
     */
    public static function getInstance()
    {
        if ( self::$classInstance === null )
        {
            self::$classInstance = new self();
        }

        return self::$classInstance;
    }

    private function __construct()
    {

    }
	
    public function addDocumentKey( )
    {
		$documentKey = OW::getApplication()->getDocumentKey(); //get page document key
		
		if( !empty($documentKey)) //check if document key is empty
		{
			return; //do not bother
		}
		
		$attrs = OW::getDispatcher()->getDispatchAttributes(); //get dispatch attributes
		$documentKey = strtolower($attrs['controller'] .'_'. $attrs['action']); //generate a unique document key
		$classKey = strtolower($attrs['controller']); //generate a unique class key
		
		OW::getApplication()->setDocumentKey($documentKey); //set document key
		
		$script = "
			$('body').addClass('$classKey');
		";
		
		OW::getDocument()->addOnloadScript($script, 0);
    }
    
    public function init()
    {
        OW::getEventManager()->bind(OW_EventManager::ON_AFTER_ROUTE, array($this, "addDocumentKey"));
    }
}