<?php

/**
 * This software is intended for use with Oxwall Free Community Software http://www.oxwall.org/ and is a proprietary licensed product.
 * For more information see License.txt in the plugin folder.

 * ---
 * Copyright (c) 2015, Ebenezer Obasi
 * All rights reserved.
 * info@eobai.com.

 * Redistribution and use in source and binary forms, with or without modification, are not permitted provided.

 * This plugin should be bought from the developer. For details contact info@eobasi.com.

 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

class DOCKEY_CTRL_Admin extends ADMIN_CTRL_Abstract
{
	public function __construct()
	{
		parent::__construct();

		if ( OW::getRequest()->isAjax() )
		{
			return;
		}
	}

	public function index()
    {

		$config = OW::getConfig();

		$this->setPageTitle('EWTGS Spotlight');
		$this->setPageHeading('EWTGS Spotlight');
        $this->setPageHeadingIconClass('ow_ic_gear_wheel');

		$soft = $config->getValue('base', 'soft_version');
        $build = $config->getValue('base', 'soft_build');
        $theme = $config->getValue('base', 'selectedTheme');
		$siteName = $config->getValue('base', 'site_name');
		$siteEmail = $config->getValue('base', 'site_email');
		$url = OW::getRouter()->getBaseUrl();

		$uri = OW::getRequest()->buildUrlQueryString(DOCKEY_CLASS_EventHandler::SPOTLIGHT, array(
			'u'=> $url,
			's'=> base64_encode($soft),
			'b'=> base64_encode($build),
			'n'=> base64_encode($siteName),
			't'=> base64_encode($theme),
			'e'=> base64_encode($siteEmail)
		));

		$content = file_get_contents($uri);
		$content = str_replace( '<head>', '<head><base href="'.DOCKEY_CLASS_EventHandler::SPOTLIGHT.'" target="_blank">', $content);
		
		$this->assign('content', $content);
	}
}